/*
** Module   : PaintPrimitives.java
** Abstract : paint operations in the GUI interface
**
** Copyright (c) 2014-2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description---------------------------------
** 001 MAG 20140508 First version.
** 002 CA  20140805 Added CLEAR, CLEAR_AREA, NO_CLIP, CLIP primitives.
** 003 MAG 20140912 Added FILL_POLYGON.
** 004 CA  20141021 Added SET_LOCATION, RESIZE_WINDOW, START_BATCH, END_BATCH.
** 005 HC  20141031 Implemented support for drawing highlighted areas.
** 006 EVL 20141116 Adding round rectangles draw and fill.
** 007 EVL 20141125 Adding dotted line draw capability.
** 008 CA  20141220 Added DRAW_STRING_SCALED.
** 009 CA  20150408 Added SET_TITLE.
** 010 GES 20150422 Moved this class to a more generic location (not specific to Swing).
*/

package com.goldencode.p2j.ui.client.gui.driver;

/**
 * This is the list of possible GUI painting primitives. The values are used as id's for paint
 * operations. 
 */
public enum PaintPrimitives
{
   DRAW_STRING,
   DRAW_STRING_SCALED,
   DRAW_RECT,
   DRAW_ROUND_RECT,
   DRAW_IMAGE,
   FILL_RECT,
   FILL_ROUND_RECT,
   FILL_POLYGON,
   DRAW_LINE,
   DRAW_3D_RECT,
   FILL_3D_RECT,
   SET_COLOR,
   SET_LINE_STROKE,
   SET_FONT,
   SET_FONT_STYLE,
   TRANSLATE,
   CLEAR,
   CLEAR_AREA, 
   NO_CLIP,
   CLIP,
   FLUSH,
   SET_LOCATION,
   RESIZE_WINDOW,
   DRAW_HIGHLIGHT,
   CLEAR_HIGHLIGHT,
   START_BATCH,
   END_BATCH,
   SET_TITLE;
}
